# $Revision: 1.16 $, $Date: 2002/11/17 20:08:23 $
Summary:	An X window manager resembling the Plan 9 (8-1/2) interface
Summary(pl):	Zarzdca okien emulujcy interfejs Plan 9 (8-1/2)
Name:		9wm
Version:	1.2
Release:	3
License:	distributable
Group:		X11/Window Managers
Source0:	http://www.plig.org/xwinman/archive/9wm/pre-%{name}-%{version}.shar.gz
Source1:	%{name}.desktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	XFree86-devel

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_wmpropsdir	%{_datadir}/wm-properties

%description
9wm emulates the Plan 9 window manager 8-1/2. 9wm is designed to be
small and fast. The interface is easy to use, icon-less and
click-to-type.

%description -l pl
9wm emuluje zarzdc okien 8-1/2 z Plan 9. 9wm zosta zaprojektowany
tak, aby by may i szybki. Interfejs jest atwy w uyciu i pozbawiony
ikon.

%prep
%setup -q -c -T
zcat %{SOURCE0} | sh

%build
xmkmf -a
%{__make} CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_wmpropsdir}
%{__make} install install.man DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/9wm
%{_mandir}/*/*
%{_wmpropsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: 9wm.spec,v $
Revision 1.16  2002/11/17 20:08:23  juandon
- changed URL of Source0
- added desktop file
- Release 3

Revision 1.15  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.14  2002/04/25 15:40:28  arturs
fixed a small typo

Revision 1.13  2002/04/23 18:39:26  zytek
- typo (I don't know what means "typo" but what I did is a "typo", I think..)

Revision 1.12  2002/02/23 01:05:31  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/05 14:16:41  blues
- release 2
NOTE: no active URL found

Revision 1.8  2001/11/22 10:05:24  qboosh
- s/Copyright: Distributable/License: distributable/

Revision 1.7  2001/05/02 00:42:06  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.6  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.5  2000/06/09 07:22:44  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.3  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  2000/03/29 20:02:54  mkochano
- Adapterized.
- Updated to 1.2.
- Compressed documentation and manuals.
- Uses $RPM_OPT_FLAGS.
- Added polish description, group and summary.

* Thu Jun 24 1999 Tim Powers <timp@redhat.com>
- Changed release # from 6 to 7
- built for 6.1

* Mon Apr 05 1999 Michael Maher <mike@redhat.com>
- built for 6.0

* Wed Oct 07 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2
- updated spec file

* Tue May 19 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- added change log
- updated URL link
